Bug 662805 - [abrt] system-config-printer-1.2.5-6.fc14: PyObject_Call: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] system-config-printer-1.2.5-6.fc14: PyObject_Call: Process /usr/bin/py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bed1ed7b22f0b767afed8b92799...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 22:20 UTC by Jared Smith
Modified: 2011-03-15 21:56 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.2.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-26 19:53:12 UTC


Attachments (Terms of Use)
File: backtrace (60.13 KB, text/plain)
2010-12-13 22:20 UTC, Jared Smith
no flags Details
Test case (347 bytes, text/plain)
2010-12-15 13:25 UTC, Tim Waugh
no flags Details

Description Jared Smith 2010-12-13 22:20:15 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
crash_function: PyObject_Call
executable: /usr/bin/python
kernel: 2.6.35.6-48.fc14.x86_64
package: system-config-printer-1.2.5-6.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1292277310
uid: 500

How to reproduce
-----
1. Attempted to add a printer
2. CUPS crashed while attempting to scan for a network printer
3.

Comment 1 Jared Smith 2010-12-13 22:20:18 UTC
Created attachment 468491 [details]
File: backtrace

Comment 2 Tim Waugh 2010-12-15 13:25:11 UTC
Created attachment 468853 [details]
Test case

Problem is that CUPS uses thread-local storage for password callback function, but pycups doesn't.

Comment 3 Tim Waugh 2010-12-15 13:49:55 UTC
Fixed in pycups upstream commit 3da1595.

Comment 4 Tim Waugh 2010-12-15 13:55:10 UTC
...and released as pycups-1.9.53.

Comment 6 Fedora Update System 2010-12-20 15:22:32 UTC
system-config-printer-1.2.5-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc14

Comment 7 Fedora Update System 2010-12-20 15:23:09 UTC
system-config-printer-1.2.5-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc13

Comment 8 Fedora Update System 2010-12-20 22:00:20 UTC
system-config-printer-1.2.5-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc13

Comment 9 Fedora Update System 2010-12-26 19:53:03 UTC
system-config-printer-1.2.5-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-15 21:55:24 UTC
system-config-printer-1.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.